package com.ims.eval.controller;

import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.custom.AIIntelligentService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@RestController
public class AIIntelligentController {
	/**
	 * 所有考评组织名称
	 */

	@Resource
	private AIIntelligentService aiIntelligentService;


	@GetMapping("/AI")
	public R getText(@RequestParam(value = "question",required = true)String question) {
		String s = aiIntelligentService.intelligentGeneration(question);
		return R.ok().data(s);
	}


}
