package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.PartyBuildingMultiplier;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-03-29
 */
public interface PartyBuildingMultiplierMapper extends BaseMapper<PartyBuildingMultiplier> {

	IPage<PartyBuildingMultiplier> selectAll(Page page,
											 @Param("id") String id,
											 @Param("departId") String departId,
											 @Param("sectionId") String sectionId,
											 @Param("year") String year,
											 @Param("organizationName") String organizationName);
}
